import { ApplicationCommandOptionData, ApplicationCommandOptionType, CommandInteraction } from "discord.js"
import { Player } from "../models/player"
import { SlashCommand } from "./slash"

export class InitCommand implements SlashCommand {
	name = 'init'
    description = 'Adds you as a player'
    permission = []
    ownerOnly = false
    guildOnly = false
    guildID = "739645806100873328" //for testing
    args: ApplicationCommandOptionData[] = []

	async execute(int: CommandInteraction) {
        const player = await Player.findOne({
            where: {
                user_id: int.user.id
            }
        });

        if (player) return int.reply({
            content: "You're already in the game.",
            ephemeral: true
        });

        Player.create({
            user_id: int.user.id,
            start: Math.floor(Date.now()/1000)
        });
        
        return int.reply({
            content: "You've been added to the game.",
            ephemeral: true
        })
	}
};
